## org.eclipse.jet.ui.newproject
Class NewJETProjectPage2Controls

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.jet.ui.newproject.NewJETProjectPage2Controls

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

Direct Known Subclasses:
  NewJETProjectPage2

    public abstract class NewJETProjectPage2Controls

extends org.eclipse.jface.wizard.WizardPage

Field Summary
`protected org.eclipse.swt.widgets.Button` `cbxExtends`
`protected org.eclipse.swt.widgets.Combo` `ddlBaseTx`
`protected org.eclipse.swt.widgets.Group` `grpExtensions`
`protected org.eclipse.swt.widgets.Label` `lblBaseTx`
`protected org.eclipse.swt.widgets.Text` `txtDescription`
`protected org.eclipse.swt.widgets.Text` `txtID`
`protected org.eclipse.swt.widgets.Text` `txtName`
`protected org.eclipse.swt.widgets.Text` `txtTemplateLoader`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`protected` `NewJETProjectPage2Controls(java.lang.String pageName)`

Method Summary
`protected abstract void` `cbxExtends_selection(org.eclipse.swt.events.SelectionEvent e)` Selection event handler for `cbxExtends`.
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`protected abstract void` `ddlBaseTx_modify(org.eclipse.swt.events.ModifyEvent e)` Modify event handler for `ddlBaseTx`.
`protected abstract void` `txtID_modify(org.eclipse.swt.events.ModifyEvent e)` Modify event handler for `txtID`.
`protected abstract void` `txtTemplateLoader_modify(org.eclipse.swt.events.ModifyEvent e)` Modify event handler for `txtTemplateLoader`.

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Field Detail

### txtID

    protected org.eclipse.swt.widgets.Text txtID

### txtName

    protected org.eclipse.swt.widgets.Text txtName

### txtDescription

    protected org.eclipse.swt.widgets.Text txtDescription

### txtTemplateLoader

    protected org.eclipse.swt.widgets.Text txtTemplateLoader

### grpExtensions

    protected org.eclipse.swt.widgets.Group grpExtensions

### cbxExtends

    protected org.eclipse.swt.widgets.Button cbxExtends

### lblBaseTx

    protected org.eclipse.swt.widgets.Label lblBaseTx

### ddlBaseTx

    protected org.eclipse.swt.widgets.Combo ddlBaseTx

Constructor Detail

### NewJETProjectPage2Controls

    protected NewJETProjectPage2Controls(java.lang.String pageName)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

### txtID_modify

    protected abstract void txtID_modify(org.eclipse.swt.events.ModifyEvent e)

  Modify event handler for `txtID`.

  Parameters:
    `e` - the Modify Event
  See Also:
    `ModifyListener`, `ModifyListener.modifyText(ModifyEvent)`

### txtTemplateLoader_modify

    protected abstract void txtTemplateLoader_modify(org.eclipse.swt.events.ModifyEvent e)

  Modify event handler for `txtTemplateLoader`.

  Parameters:
    `e` - the Modify Event
  See Also:
    `ModifyListener`, `ModifyListener.modifyText(ModifyEvent)`

### cbxExtends_selection

    protected abstract void cbxExtends_selection(org.eclipse.swt.events.SelectionEvent e)

  Selection event handler for `cbxExtends`.

  Parameters:
    `e` - an event containing information on the selection
  See Also:
    `SelectionListener`, `SelectionListener.widgetSelected(SelectionEvent)`

### ddlBaseTx_modify

    protected abstract void ddlBaseTx_modify(org.eclipse.swt.events.ModifyEvent e)

  Modify event handler for `ddlBaseTx`.

  Parameters:
    `e` - the Modify Event
  See Also:
    `ModifyListener`, `ModifyListener.modifyText(ModifyEvent)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.